ethrxDocs
DRAGONCHAOSHALORAIDR
ethrx.io →
RAIDR

Mission planning for tactical radio networks.

Overview
  • RAIDR overview
  • Getting started
  • Concepts and architecture
  • Propagation physics engine
  • Geo and terrain
  • Server and API
  • Frontend and WASM client
  • LLM integration
  • Configuration and operations
API Reference →
Health
  • getLiveness
  • getReadiness
Deployments
  • getList deployments
  • postCreate deployment
  • getGet deployment
  • patchUpdate deployment
  • DELDelete deployment
Nodes
  • getList nodes
  • postCreate node
  • getGet node
  • DELDelete node
  • putMove node
Analysis
  • postAnalyze link
  • postSample terrain profile
Planning
  • postPlan relays
  • postRoute over mesh
  • postRecommend protocol
Coverage
  • postStart coverage job
  • getGet coverage snapshot
  • getStream coverage events
Presets
  • getList radio presets
  • getList antenna presets
  • getList role presets
  • getList modulations
  • getList node templates
  • DELDelete node template
RAIDR/API Reference/Presets

List antenna presets

gethttp://127.0.0.1:8787/api/v1/presets/antennas

Response

200 · application/json

Antenna presets. Returns a list of object.

Previous
getList radio presets
Next
getList role presets
get/api/v1/presets/antennas
curl -X GET http://127.0.0.1:8787/api/v1/presets/antennas
Response
[
  {}
]